CosFileTransfer_VirtualFileSystem(3)

MODULE
CosFileTransfer_VirtualFileSystem - This module implements the OMG CosFileTransfer::VirtualFileSystem interface.

DESCRIPTION

To get access to the record definitions for the structures use: .br -include_lib("cosFileTransfer/include/*.hrl").

EXPORTS

    Types
        VFS = #objref
        Return = 'FTP' | 'NATIVE'

    This read only attribute represents the target object's associated file system.

    Types
        VFS = #objref
        Return =

    This read only attribute represents the target object's supported content types.

login(VFS, User, Password, Account) -> Return

    Types
        VFS = #objref
        User = Password = Account = string()
        Return = {FileTransferSession, Directory} | {'EXCEPTION', E}
        FileTransferSession = Directory = #objref

    This operation creates a new instance of a FileTransferSession and a Directory. The later represents the current working directory of the returned FileTransferSession.